#!E:\Pycharm Projects\Waytous
# -*- coding: utf-8 -*-
# @Time : 2022/5/30 16:32
# @Author : Opfer
# @Site :
# @File : alg.py
# @Software: PyCharm


class AlgorithmBase:
    """
    Base class for dispatch alg.
    """

    def __init__(self):
        pass


class Congestion(AlgorithmBase):
    """
    class for congestion alg.
    """

    def __init__(self, group):
        super().__init__()
        self.group = group

    def solve(self):
        pass


class ExpectedTime(AlgorithmBase):
    """
    class for expected traveling time alg.
    """

    def __init__(self, group):
        super().__init__()
        self.group = group

    def solve(self):
        pass
